#include "visualisierung.h"
#include "qapplication.h"
/*! \mainpage Documentation for Force Directed %Edge Bundling
*
* \section Developer
* Anna Frhstck 0626930
* \section Reference
* Implementation follows the edge bundling approach proposed by Danny Holten and Jarke J. van Wijk in their paper <b>"Force-Directed Edge Bundling for Graph Visualization"</b> from the Eurographics Symposium on Visualization 2009
* \section Class
* %Visualisierung 2 VU
* <p>TU Wien :: 186.833
* <p>SS 2014
*/
int main(int argc, char *argv[])
{
	QApplication app(argc, argv);

	Visualisierung w;
	w.show();

	return app.exec();
}
