#pragma once
#include "data.h"
#include "datatypes.h"

/* temp struct for data wrangling */
//struct Book {
//	int ID;
//	QList<int> characters;
//	void addCharacter(int c) {characters.append(c);};
//};
//struct CharStruct {
//	int ID;
//	QList<int> connections;
//	CharStruct(int id): ID(id) {};
//};
/* end temp */


/*!
* MarvelData extends Data as a DataStructure for the Marvel dataset.
*/
class MarvelData: public Data {
public:
	MarvelData(Graph *g, QString nPath = 0, QString ePath = 0, QString gPath = 0):Data(g, nPath, ePath, gPath) {};
	void initGraph();
protected:
	QMap<QString, int>	characters;
	QMap<int, int>		connections;
	
	void initEdges(QMap<QString, int> &characters, QMap<int, int> &connections);
	/*void wrangle(QMap<QString, int> &characters, QMap<int, int> &connections);*/
};


