#pragma once
#include "data.h"
#include "datatypes.h"

/*!
* MiserablesData extends Data as a DataStructure for the Ls Miserables dataset.
*/
class MiserablesData: public Data {
public:
	MiserablesData(Graph *g, QString nPath = 0, QString ePath = 0, QString gPath = 0):Data(g, nPath, ePath, gPath) {};
	void initGraph();
protected:
	QMap<QString, int>	characters;
	QMap<int, int>		groups;
	QMap<int, int>		connections;
	
	void initEdges(QMap<QString, int> &characters, QMap<int, int> &groups, QMap<int, int> &connections);
};
