#pragma once
#include "data.h"
#include "datatypes.h"

/*!
* FlightData extends Data as a DataStructure for the Flights dataset.
*/
class FlightData: public Data {
public:
	FlightData(Graph *g, QString nPath = 0, QString ePath = 0, QString gPath = 0):Data(g, nPath, ePath, gPath) {};
	~FlightData();
	void initGraph();
protected:
	QList<Airport*>	airports;
	QList<Route*>	routes;

	void initEdges(QList<Airport*> &airports, QList<Route*> &routes);
};
